
From: Adrian Bunk <bunk@stusta.de>

The patch below removes two unused functions from 
drivers/scsi/qla2xxx/qla_rscn.c

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                               |    0 
 25-akpm/drivers/scsi/qla2xxx/qla_rscn.c |   26 --------------------------
 2 files changed, 26 deletions(-)

diff -puN drivers/scsi/qla2xxx/qla_rscn.c~scsi-qla2xxx-qla_rscnc-remove-unused-functions-fwd drivers/scsi/qla2xxx/qla_rscn.c
--- 25/drivers/scsi/qla2xxx/qla_rscn.c~scsi-qla2xxx-qla_rscnc-remove-unused-functions-fwd	Thu Dec  9 13:37:18 2004
+++ 25-akpm/drivers/scsi/qla2xxx/qla_rscn.c	Thu Dec  9 13:37:18 2004
@@ -47,8 +47,6 @@
 /* Local Prototypes. */
 static inline uint32_t qla2x00_to_handle(uint16_t, uint16_t, uint16_t);
 static inline uint16_t qla2x00_handle_to_idx(uint32_t);
-static inline uint16_t qla2x00_handle_to_iter(uint32_t);
-static inline uint16_t qla2x00_handle_to_type(uint32_t);
 static inline uint32_t qla2x00_iodesc_to_handle(struct io_descriptor *);
 static inline struct io_descriptor *qla2x00_handle_to_iodesc(scsi_qla_host_t *,
     uint32_t);
@@ -130,30 +128,6 @@ qla2x00_handle_to_idx(uint32_t handle)
 }
 
 /**
- * qla2x00_handle_to_type() - Retrive the descriptor type for a given handle.
- * @handle: descriptor handle
- *
- * Returns the descriptor type specified by the @handle.
- */
-static inline uint16_t
-qla2x00_handle_to_type(uint32_t handle)
-{
-	return ((uint16_t)(((handle) >> HDL_TYPE_SHIFT) & HDL_TYPE_MASK));
-}
-
-/**
- * qla2x00_handle_to_iter() - Retrive the rolling signature for a given handle.
- * @handle: descriptor handle
- *
- * Returns the signature specified by the @handle.
- */
-static inline uint16_t
-qla2x00_handle_to_iter(uint32_t handle)
-{
-	return ((uint16_t)(((handle) >> HDL_ITER_SHIFT) & HDL_ITER_MASK));
-}
-
-/**
  * qla2x00_iodesc_to_handle() - Convert an IO descriptor to a unique handle.
  * @iodesc: io descriptor
  *
diff -L drivers/scsi/qla2xxx/qla_rscn.c.old -puN /dev/null /dev/null
_
